{ inputs, pkgs, ... }:
{
    imports = [
        ./tailscale.nix
    ];

    home-manager.sharedModules = [
        inputs.catppuccin.homeModules.catppuccin
        inputs.zen-browser.homeModules.beta

        ./home
    ];

    catppuccin.enable = true;
    catppuccin.cache.enable = true;

    services.dbus.implementation = "dbus";

    system.nixos.variantName = "Desktop";
    system.nixos.variant_id = "desktop";
    
    fonts.packages = with pkgs; [
        montserrat
    ];
}